=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2008-03-28 19:39:35 +0000
+++ preferences/__init__.py	2008-10-25 06:02:09 +0000
@@ -37,20 +37,26 @@
         """ Initialize the Status window. """
         super(PreferencesWindow, self).__init__(flags=gtk.DIALOG_MODAL)
         self.set_title("Bazaar Preferences")
+        self.set_has_separator(False)
         self.config = config
         if self.config is None:
             self.config = GlobalConfig()
         self._create()
-        self._create_pages()
-
 
     def _create(self):
-        self.set_default_size(600, 600)
+        self.set_default_size(320, 480)
+        self.set_border_width(0)
+
         notebook = gtk.Notebook()
+        notebook.set_border_width(12)
         for (label, page) in self._create_pages():
-            notebook.insert_page(page, gtk.Label(label))
+            notebook.append_page(page, gtk.Label(label))
+
+        notebook.set_current_page(0)
+        self.vbox.set_border_width(0)
         self.vbox.pack_start(notebook, True, True)
         self.vbox.show_all()
+        self.action_area.set_border_width(12)
 
     def _create_pages(self):
         return [("Identity", IdentityPage(self.config)), 

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2008-03-28 19:39:35 +0000
+++ preferences/identity.py	2008-10-25 06:02:09 +0000
@@ -26,12 +26,13 @@
     def __init__(self, config):
         self.config = config
         gtk.Table.__init__(self, rows=4, columns=2)
+        self.set_border_width(12)
         self.set_row_spacings(6)
         self.set_col_spacings(6)
 
-        align = gtk.Alignment(1.0, 0.5)
+        align = gtk.Alignment(0.0, 0.5)
         label = gtk.Label()
-        label.set_markup("<b>User Id:</b>")
+        label.set_markup("E-Mail:")
         align.add(label)
         self.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
 
@@ -39,9 +40,9 @@
         self.username.set_text(self.config.username())
         self.attach(self.username, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
+        align = gtk.Alignment(0.0, 0.5)
         label = gtk.Label()
-        label.set_markup("<b>GPG signing command:</b>")
+        label.set_markup("GPG signing command:")
         align.add(label)
         self.attach(align, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
 
@@ -49,9 +50,9 @@
         self.email.set_text(self.config.gpg_signing_command())
         self.attach(self.email, 1, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
+        align = gtk.Alignment(0.0, 0.1)
         label = gtk.Label()
-        label.set_markup("<b>Check GPG Signatures:</b>")
+        label.set_markup("Check GPG Signatures:")
         align.add(label)
         self.attach(align, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
 
@@ -68,9 +69,9 @@
         # FIXME: Set default
         self.attach(sigvals, 1, 2, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
+        align = gtk.Alignment(0.0, 0.1)
         label = gtk.Label()
-        label.set_markup("<b>Create GPG Signatures:</b>")
+        label.set_markup("Create GPG Signatures:")
         align.add(label)
         self.attach(align, 0, 1, 3, 4, gtk.FILL, gtk.FILL)
 

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2008-07-21 13:50:35 +0000
+++ preferences/plugins.py	2008-10-25 06:02:09 +0000
@@ -25,14 +25,19 @@
 class PluginsPage(gtk.VPaned):
     def __init__(self):
         gtk.VPaned.__init__(self)
+        self.set_border_width(12)
+        self.set_position(216)
+
         scrolledwindow = gtk.ScrolledWindow()
         scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scrolledwindow.set_shadow_type(gtk.SHADOW_IN)
         self.model = gtk.ListStore(str, str)
         treeview = gtk.TreeView()
         scrolledwindow.add(treeview)
         self.pack1(scrolledwindow, resize=True, shrink=False)
 
         self.table = gtk.Table(columns=2)
+        self.table.set_border_width(12)
         self.table.set_row_spacings(6)
         self.table.set_col_spacings(6)
 
@@ -74,7 +79,7 @@
             self.table.remove(w)
 
         if getattr(p, '__author__', None) is not None:
-            align = gtk.Alignment(1.0, 0.5)
+            align = gtk.Alignment(0.0, 0.5)
             label = gtk.Label()
             label.set_markup("<b>Author:</b>")
             align.add(label)
@@ -90,7 +95,7 @@
             self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
 
         if getattr(p, '__version__', None) is not None:
-            align = gtk.Alignment(1.0, 0.5)
+            align = gtk.Alignment(0.0, 0.5)
             label = gtk.Label()
             label.set_markup("<b>Version:</b>")
             align.add(label)

